structure CppTool = struct
    local
	val tool = "C-Preprocessor"
	val kw_options = "options"
	val kwl = [kw_options]
	fun get kw NONE = NONE
	  | get kw (SOME opts) =
	    #matches (Tools.parseOptions
		      { tool = tool, keywords = kwl, options = opts })
		     kw
    in
        val _ = Tools.registerStdShellCmdTool
		{ tool = tool,
		  class = "cpp",
		  suffixes = ["cpp"],
		  cmdStdPath = "/lib/cpp",(* RedHat Linux *)
		  template = SOME "%c -P %o %s %t",
		  extensionStyle =
		  Tools.REPLACE (["cpp"], [("sml", SOME "sml",
					    get kw_options)]),
		  dflopts = [] }
    end
end
