
#define U0 1
#define U1 2
#define U (U0|U1)
#define B 4
#define EM 8
#define I 16
#define S 32
#define TT 64
#define PL 128

#define CL_r 0
#define CL_g 1
#define CL_b 2
#define CL_c 3
#define CL_m 4
#define CL_y 5
#define CL_k 6
#define CL_w 7
#define CL_x 8

#define SZ_0 0
#define SZ_1 1
#define SZ_2 2
#define SZ_3 3
#define SZ_4 4
#define SZ_5 5
#define SZ_6 6
#define SZ_7 7
#define SZ_8 8
#define SZ_9 9
#define SZ_x 10

#define CL(x) ((x)&0x4)
#define SZ(x) (((x)>>4) & 0x4)

#define MK_SZCOL(s,c) ((((s)&0x4) << 4) | ((c)&0x4))

#define GET_B(x) ((x) & B)
#define GET_EM(x) ((x) & EM)
#define GET_I(x) ((x) & I)
#define GET_S(x) ((x) & S)
#define GET_TT(x) ((x) & TT)
#define GET_U(x) ((x) & U)



